Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cascading::CascadeManager::LinkUnitStatusChangedEvent Struct Reference

Event: A link unit's communication status has changed. More...

Inheritance diagram for cascading::CascadeManager::LinkUnitStatusChangedEvent:

## Public Attributes
int | linkId
| Link ID.
LinkUnitType | type
| Link unit type.
string | host
| Host name, IP address or bus address.
LinkUnitStatus | oldStatus
| Previous communication status.
LinkUnitStatus | newStatus
| New communication status.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A link unit's communication status has changed.

Definition at line 106 of file CascadeManager.idl.

## Member Data Documentation

## ◆ host

string cascading::CascadeManager::LinkUnitStatusChangedEvent::host

Host name, IP address or bus address.

Definition at line 109 of file CascadeManager.idl.

## ◆ linkId

int cascading::CascadeManager::LinkUnitStatusChangedEvent::linkId

Link ID.

Definition at line 107 of file CascadeManager.idl.

## ◆ newStatus

LinkUnitStatus cascading::CascadeManager::LinkUnitStatusChangedEvent::newStatus

New communication status.

Definition at line 111 of file CascadeManager.idl.

## ◆ oldStatus

LinkUnitStatus cascading::CascadeManager::LinkUnitStatusChangedEvent::oldStatus

Previous communication status.

Definition at line 110 of file CascadeManager.idl.

## ◆ type

LinkUnitType cascading::CascadeManager::LinkUnitStatusChangedEvent::type

Link unit type.

Definition at line 108 of file CascadeManager.idl.

The documentation for this struct was generated from the following file:

- CascadeManager.idl